// Copyright 2006-2007, by the California Institute of Technology.
// ALL RIGHTS RESERVED. United States Government Sponsorship acknowledged.
// Any commercial use must be negotiated with the Office of Technology Transfer
// at the California Institute of Technology.
//
// This software is subject to U. S. export control laws and regulations
// (22 C.F.R. 120-130 and 15 C.F.R. 730-774). To the extent that the software
// is subject to U.S. export control laws and regulations, the recipient has
// the responsibility to obtain export licenses or other export authority as
// may be required before exporting such information to foreign countries or
// providing access to foreign nationals.
//
// $Id: TextString.java 3382 2008-07-22 17:47:02Z pramirez $ 
//

package gov.nasa.pds.tools.label;

import gov.nasa.pds.tools.dict.type.Types;

/**
 * @author pramirez
 * @version $Revision: 3382 $
 * 
 */
public class TextString extends Scalar implements Types {

    /**
     * @param value
     */
    public TextString(String value) {
        super(value.replaceAll("\"", ""));
    }

	public boolean isSupportedPDSType(String type) {
		if (Types.DATE.equals(type) || Types.DOUBLE.equals(type) || Types.INTEGER.equals(type) ||
				Types.REAL.equals(type) || Types.TIME.equals(type) || Types.EXPONENTIAL.equals(type))
			return false;
		return true;
	}
    
}
